Bug 229225 (qt.mk)

Summary: [exp-run] replace bsd.qt.mk by qt.mk and qt-dist.mk
Product: Ports & Packages Reporter: Tobias C. Berner <tcberner>
Component: Individual Port(s)Assignee: Tobias C. Berner <tcberner>
Status: Closed FIXED    
Severity: Affects Only Me CC: kde
Priority: --- Flags: antoine: exp-run+
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://reviews.freebsd.org/D15540?id=43267
Attachments:
Description Flags
v1
none
v2
none
v3
none
v4
none
v5
none
v6
none
v7 none

Description Tobias C. Berner freebsd_committer 2018-06-22 06:20:22 UTC
Created attachment 194475 [details]
v1

Hi there

kde@ would like to ask for an exp-run to replace bsd.qt.mk by qt.mk and qt-dist.mk.

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/qt.mk.v1.diff


thanks, and 
mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2018-06-22 20:59:42 UTC
the patch fails to apply,  can you refresh it?
Comment 2 Tobias C. Berner freebsd_committer 2018-06-22 21:39:40 UTC
This one should apply to r473081:
https://people.freebsd.org/~tcberner/patches/qt.mk.v2.diff
Comment 3 Tobias C. Berner freebsd_committer 2018-06-22 21:41:13 UTC
Created attachment 194512 [details]
v2
Comment 4 Antoine Brodin freebsd_committer 2018-06-23 06:09:16 UTC
Exp-run fails to start:

[00:00:15] Warning: (biology/clustalx): Error: biology/clustalx depends on nonexistent origin 'devel/qt-qmake' (moved to ); Please contact maintainer of the port to fix this.
Comment 5 Antoine Brodin freebsd_committer 2018-06-23 06:09:42 UTC
This one too:

[00:00:36] Warning: (graphics/engauge-digitizer): Error: graphics/engauge-digitizer depends on nonexistent origin 'devel/qt-qmake' (moved to ); Please contact maintainer of the port to fix this.
Comment 6 Tobias C. Berner freebsd_committer 2018-06-23 07:41:45 UTC
Sorry about that, I was stupid and didn't check for new ports after the conversion :)

This one
https://people.freebsd.org/~tcberner/patches/qt.mk.v3.diff
applies to r473112 and poudriere bulk -a starts.


mfg Tobias
Comment 7 Tobias C. Berner freebsd_committer 2018-06-23 07:42:31 UTC
Created attachment 194530 [details]
v3
Comment 8 Tobias C. Berner freebsd_committer 2018-06-23 19:10:27 UTC
Here's v4 
https://people.freebsd.org/~tcberner/patches/qt.mk.v4.diff
which fixes some of the issues you already caught, and converts some more ports I missed.
Comment 9 Tobias C. Berner freebsd_committer 2018-06-23 19:10:48 UTC
Created attachment 194541 [details]
v4
Comment 10 Tobias C. Berner freebsd_committer 2018-06-25 18:26:31 UTC
Here's a new patch to address the failures you found:
https://people.freebsd.org/~tcberner/patches/qt.mk.v5.diff
Comment 11 Tobias C. Berner freebsd_committer 2018-06-25 18:26:48 UTC
Created attachment 194634 [details]
v5
Comment 12 Tobias C. Berner freebsd_committer 2018-06-26 17:01:34 UTC
This one fixes databases/tora and converts x11/lxqt-globalkeys.

https://people.freebsd.org/~tcberner/patches/qt.mk.v6.diff
Comment 13 Tobias C. Berner freebsd_committer 2018-06-26 17:01:55 UTC
Created attachment 194654 [details]
v6
Comment 14 Tobias C. Berner freebsd_committer 2018-06-26 17:23:41 UTC
I missed net-p2p/amule-devel's option

https://people.freebsd.org/~tcberner/patches/qt.mk.v7.diff
Comment 15 Tobias C. Berner freebsd_committer 2018-06-26 17:23:59 UTC
Created attachment 194655 [details]
v7
Comment 17 Tobias C. Berner freebsd_committer 2018-06-28 06:25:07 UTC
I lost USES=pkgconfig when merging qsstv. Do you want a new diff for the whole thing?

Mfg Tobias
Comment 18 Antoine Brodin freebsd_committer 2018-06-28 06:56:02 UTC
Please commit everything and watch for fallout.
Comment 19 commit-hook freebsd_committer 2018-06-28 17:40:28 UTC
A commit references this bug:

Author: tcberner
Date: Thu Jun 28 17:39:57 UTC 2018
New revision: 473503
URL: https://svnweb.freebsd.org/changeset/ports/473503

Log:
  Replace bsd.qt.mk by Uses/qt.mk and Uses/qt-dist.mk

  From now on, ports that depend on Qt4 will have to set
  	USES=		qt:4
  	USE_QT=		foo bar
  ports depending on Qt5 will use
  	USES=		qt:5
  	USE_QT=		foo bar

  PR:		229225
  Exp-run by:	antoine
  Reviewed by:	mat
  Approved by:	portmgr (antoine)
  Differential Revision:	?https://reviews.freebsd.org/D15540

Changes:
  head/CHANGES
  head/Mk/Scripts/qa.sh
  head/Mk/Uses/qmake.mk
  head/Mk/Uses/qt-dist.mk
  head/Mk/Uses/qt.mk
  head/Mk/bsd.port.mk
  head/Mk/bsd.qt.mk
  head/Mk/bsd.sanity.mk
  head/accessibility/jovie-kde4/Makefile
  head/accessibility/kaccessible-kde4/Makefile
  head/accessibility/kmag/Makefile
  head/accessibility/kmag-kde4/Makefile
  head/accessibility/kmousetool/Makefile
  head/accessibility/kmousetool-kde4/Makefile
  head/accessibility/kmouth/Makefile
  head/accessibility/kmouth-kde4/Makefile
  head/accessibility/qt4-accessible/Makefile
  head/accessibility/qt5-speech/Makefile
  head/archivers/ark/Makefile
  head/archivers/ark-kde4/Makefile
  head/archivers/kf5-karchive/Makefile
  head/archivers/quazip/Makefile
  head/astro/gpsbabel/Makefile
  head/astro/gpsd/Makefile
  head/astro/kstars/Makefile
  head/astro/kstars-kde4/Makefile
  head/astro/libkgeomap/Makefile
  head/astro/libkgeomap-kde4/Makefile
  head/astro/marble/Makefile
  head/astro/marble-kde4/Makefile
  head/astro/merkaartor/Makefile
  head/astro/qlandkartegt/Makefile
  head/astro/qmapshack/Makefile
  head/astro/stellarium/Makefile
  head/astro/stellarium-qt4/Makefile
  head/astro/xglobe/Makefile
  head/audio/abgate-lv2/Makefile
  head/audio/acoustid-fingerprinter/Makefile
  head/audio/amarok-kde4/Makefile
  head/audio/audex/Makefile
  head/audio/audiocd-kio/Makefile
  head/audio/cantata/Makefile
  head/audio/carla/Makefile
  head/audio/clementine-player/Makefile
  head/audio/creox/Makefile
  head/audio/cueplayer/Makefile
  head/audio/dream/Makefile
  head/audio/drumstick/Makefile
  head/audio/dsbmixer/Makefile
  head/audio/dssi/Makefile
  head/audio/esperanza/Makefile
  head/audio/flacon/Makefile
  head/audio/fmit/Makefile
  head/audio/guidolib/Makefile
  head/audio/hydrogen/Makefile
  head/audio/jalv/Makefile
  head/audio/juk/Makefile
  head/audio/juk-kde4/Makefile
  head/audio/kid3-kde4/Makefile
  head/audio/kio-audiocd-kde4/Makefile
  head/audio/kmix/Makefile
  head/audio/kmix-kde4/Makefile
  head/audio/kscd-kde4/Makefile
  head/audio/kstreamripper/Makefile
  head/audio/kwave/Makefile
  head/audio/lastfm-desktop/Makefile
  head/audio/libechonest/Makefile
  head/audio/libkcddb/Makefile
  head/audio/libkcddb-kde4/Makefile
  head/audio/libkcompactdisc/Makefile
  head/audio/libkcompactdisc-kde4/Makefile
  head/audio/liblastfm/Makefile
  head/audio/lmms/Makefile
  head/audio/midipp/Makefile
  head/audio/minitunes/Makefile
  head/audio/mixxx/Makefile
  head/audio/mixxx20/Makefile
  head/audio/mous/Makefile
  head/audio/mumble/Makefile
  head/audio/murmur/Makefile
  head/audio/musescore/Makefile
  head/audio/mythplugin-mythmusic/Makefile
  head/audio/openal-soft/Makefile
  head/audio/padthv1-lv2/Makefile
  head/audio/pc-mixer/Makefile
  head/audio/plasma5-plasma-pa/Makefile
  head/audio/polyphone/Makefile
  head/audio/qjackctl/Makefile
  head/audio/qmidiarp/Makefile
  head/audio/qmpdclient/Makefile
  head/audio/qsampler/Makefile
  head/audio/qsynth/Makefile
  head/audio/quimup/Makefile
  head/audio/rosegarden/Makefile
  head/audio/sayonara/Makefile
  head/audio/simon/Makefile
  head/audio/skype-call-recorder/Makefile
  head/audio/sonic-visualiser/Makefile
  head/audio/soundkonverter/Makefile
  head/audio/supercollider/Makefile
  head/audio/synthpod-lv2/Makefile
  head/audio/virtual_oss_ctl/Makefile
  head/audio/vmpk/Makefile
  head/biology/clustalx/Makefile
  head/biology/ugene/Makefile
  head/cad/freecad/Makefile
  head/cad/fritzing/Makefile
  head/cad/klayout/Makefile
  head/cad/layouteditor/Makefile
  head/cad/leocad/Makefile
  head/cad/librecad/Makefile
  head/cad/meshlab/Makefile
  head/cad/openscad/Makefile
  head/cad/openscad-devel/Makefile
  head/cad/qcad/Makefile
  head/cad/qelectrotech/Makefile
  head/cad/qfsm/Makefile
  head/cad/qucs/Makefile
  head/chinese/fcitx/Makefile
  head/chinese/fcitx-libpinyin/Makefile
  head/chinese/gcin-qt4/Makefile
  head/chinese/gcin-qt5/Makefile
  head/chinese/qt4-codecs-cn/Makefile
  head/chinese/qt4-codecs-tw/Makefile
  head/chinese/qterm/Makefile
  head/comms/cutecom/Makefile
  head/comms/dabstick-radio/Makefile
  head/comms/gnuradio/Makefile
  head/comms/gqrx/Makefile
  head/comms/hamfax/Makefile
  head/comms/inspectrum/Makefile
  head/comms/klog/Makefile
  head/comms/kremotecontrol-kde4/Makefile
  head/comms/libsdr-gui/Makefile
  head/comms/linpsk/Makefile
  head/comms/py-qt5-serialport/Makefile
  head/comms/qsstv/Makefile
  head/comms/qt5-connectivity/Makefile
  head/comms/qt5-sensors/Makefile
  head/comms/qt5-serialbus/Makefile
  head/comms/qt5-serialport/Makefile
  head/comms/qtel/Makefile
  head/comms/sdr-wspr/Makefile
  head/comms/svxlink/Makefile
  head/comms/wsjtx/Makefile
  head/comms/xcwcp/Makefile
  head/databases/akonadi/Makefile
  head/databases/akonadi-kde4/Makefile
  head/databases/kbibtex/Makefile
  head/databases/kdb/Makefile
  head/databases/kexi/Makefile
  head/databases/pgmodeler/Makefile
  head/databases/py-qt4-sql/Makefile
  head/databases/py-qt5-sql/Makefile
  head/databases/qt4-sql/Makefile
  head/databases/qt5-sql/Makefile
  head/databases/redisdesktopmanager/Makefile
  head/databases/sqlitebrowser/Makefile
  head/databases/sqliteman/Makefile
  head/databases/sqlitestudio/Makefile
  head/databases/tora/Makefile
  head/deskutils/akonadi-calendar-tools/Makefile
  head/deskutils/akonadi-import-wizard/Makefile
  head/deskutils/akonadiconsole/Makefile
  head/deskutils/akregator/Makefile
  head/deskutils/basket/Makefile
  head/deskutils/cairo-dock-plugins/Makefile
  head/deskutils/calibre/Makefile
  head/deskutils/cdcat/Makefile
  head/deskutils/charmtimetracker/Makefile
  head/deskutils/copyq/Makefile
  head/deskutils/fbreader/Makefile
  head/deskutils/fet/Makefile
  head/deskutils/flameshot/Makefile
  head/deskutils/grantlee-editor/Makefile
  head/deskutils/grantleetheme/Makefile
  head/deskutils/homerun/Makefile
  head/deskutils/kaddressbook/Makefile
  head/deskutils/kalarm/Makefile
  head/deskutils/kcharselect/Makefile
  head/deskutils/kcharselect-kde4/Makefile
  head/deskutils/kchmviewer/Makefile
  head/deskutils/kdeconnect/Makefile
  head/deskutils/kdepim-addons/Makefile
  head/deskutils/kdepim-apps-libs/Makefile
  head/deskutils/kdepim-kde4/Makefile
  head/deskutils/kdepim-runtime/Makefile
  head/deskutils/kdepim-runtime-kde4/Makefile
  head/deskutils/kdepimlibs-kde4/Makefile
  head/deskutils/kdeplasma-addons-kde4/Makefile
  head/deskutils/keditbookmarks/Makefile
  head/deskutils/kfind/Makefile
  head/deskutils/kmail/Makefile
  head/deskutils/kmail-account-wizard/Makefile
  head/deskutils/knotes/Makefile
  head/deskutils/kontact/Makefile
  head/deskutils/korganizer/Makefile
  head/deskutils/kruler/Makefile
  head/deskutils/kruler-kde4/Makefile
  head/deskutils/ksshaskpass/Makefile
  head/deskutils/latte-dock/Makefile
  head/deskutils/launchy/Makefile
  head/deskutils/libkdepim/Makefile
  head/deskutils/lumina-archiver/Makefile
  head/deskutils/lumina-calculator/Makefile
  head/deskutils/lumina-fileinfo/Makefile
  head/deskutils/lumina-fm/Makefile
  head/deskutils/lumina-mediaplayer/Makefile
  head/deskutils/lumina-notify/Makefile
  head/deskutils/lumina-pdf/Makefile
  head/deskutils/lumina-screenshot/Makefile
  head/deskutils/lumina-textedit/Makefile
  head/deskutils/lumina-xdg-entry/Makefile
  head/deskutils/mbox-importer/Makefile
  head/deskutils/nextcloudclient/Makefile
  head/deskutils/owncloudclient/Makefile
  head/deskutils/pim-data-exporter/Makefile
  head/deskutils/pim-sieve-editor/Makefile
  head/deskutils/plasma-applet-cwp/Makefile
  head/deskutils/plasma-applet-daisy/Makefile
  head/deskutils/plasma-applet-fancytasks/Makefile
  head/deskutils/plasma-applet-panelspacer/Makefile
  head/deskutils/plasma-applet-qstardict/Makefile
  head/deskutils/plasma-applet-serverstatuswidget/Makefile
  head/deskutils/plasma-applet-simpleweatherforecast/Makefile
  head/deskutils/plasma-applet-teacooker/Makefile
  head/deskutils/plasma-applet-yawp/Makefile
  head/deskutils/plasma5-milou/Makefile
  head/deskutils/plasma5-sddm-kcm/Makefile
  head/deskutils/qorganizer/Makefile
  head/deskutils/qrfcview/Makefile
  head/deskutils/qtm/Makefile
  head/deskutils/recoll/Makefile
  head/deskutils/semantik/Makefile
  head/deskutils/silence/Makefile
  head/deskutils/strigiclient/Makefile
  head/deskutils/superkaramba-kde4/Makefile
  head/deskutils/tuxcards/Makefile
  head/deskutils/vym/Makefile
  head/deskutils/znotes/Makefile
  head/devel/RStudio/Makefile
  head/devel/ace/Makefile
  head/devel/apiextractor/Makefile
  head/devel/apitrace/Makefile
  head/devel/automoc4/Makefile
  head/devel/cervisia/Makefile
  head/devel/cervisia-kde4/Makefile
  head/devel/cmake-doc/Makefile
  head/devel/cmake-gui/Makefile
  head/devel/codequery/Makefile
  head/devel/cppcheck/Makefile
  head/devel/dolphin-plugins/Makefile
  head/devel/dolphin-plugins-kde4/Makefile
  head/devel/doxygen/Makefile
  head/devel/edb/Makefile
  head/devel/fuel/Makefile
  head/devel/gecode/Makefile
  head/devel/generatorrunner/Makefile
  head/devel/grantlee/Makefile
  head/devel/grantlee5/Makefile
  head/devel/gwenhywfar/Makefile
  head/devel/heimdall/Makefile
  head/devel/injeqt/Makefile
  head/devel/kapptemplate/Makefile
  head/devel/kapptemplate-kde4/Makefile
  head/devel/kaptain/Makefile
  head/devel/kcachegrind/Makefile
  head/devel/kcachegrind-kde4/Makefile
  head/devel/kdbg/Makefile
  head/devel/kde-dev-scripts/Makefile
  head/devel/kde-dev-scripts-kde4/Makefile
  head/devel/kde-dev-utils/Makefile
  head/devel/kde-dev-utils-kde4/Makefile
  head/devel/kdesdk/Makefile
  head/devel/kdesdk-kioslaves-kde4/Makefile
  head/devel/kdesdk-strigi-analyzers-kde4/Makefile
  head/devel/kdesdk-thumbnailers/Makefile
  head/devel/kdesdk-thumbnailers-kde4/Makefile
  head/devel/kdesvn/Makefile
  head/devel/kdesvn-kde4/Makefile
  head/devel/kdev-php/Makefile
  head/devel/kdev-python/Makefile
  head/devel/kdevelop/Makefile
  head/devel/kdevelop-kde4/Makefile
  head/devel/kdevelop-pg-qt/Makefile
  head/devel/kdevelop-pg-qt-kde4/Makefile
  head/devel/kdevelop-php-docs-kde4/Makefile
  head/devel/kdevelop-php-kde4/Makefile
  head/devel/kdevplatform-kde4/Makefile
  head/devel/kf5-extra-cmake-modules/Makefile
  head/devel/kf5-kapidox/Makefile
  head/devel/kf5-kauth/Makefile
  head/devel/kf5-kbookmarks/Makefile
  head/devel/kf5-kcmutils/Makefile
  head/devel/kf5-kconfig/Makefile
  head/devel/kf5-kcoreaddons/Makefile
  head/devel/kf5-kcrash/Makefile
  head/devel/kf5-kdbusaddons/Makefile
  head/devel/kf5-kdeclarative/Makefile
  head/devel/kf5-kdoctools/Makefile
  head/devel/kf5-kfilemetadata/Makefile
  head/devel/kf5-ki18n/Makefile
  head/devel/kf5-kidletime/Makefile
  head/devel/kf5-kio/Makefile
  head/devel/kf5-kitemmodels/Makefile
  head/devel/kf5-knewstuff/Makefile
  head/devel/kf5-knotifications/Makefile
  head/devel/kf5-knotifyconfig/Makefile
  head/devel/kf5-kpackage/Makefile
  head/devel/kf5-kparts/Makefile
  head/devel/kf5-kpeople/Makefile
  head/devel/kf5-kpty/Makefile
  head/devel/kf5-kservice/Makefile
  head/devel/kf5-ktexteditor/Makefile
  head/devel/kf5-kunitconversion/Makefile
  head/devel/kf5-solid/Makefile
  head/devel/kf5-threadweaver/Makefile
  head/devel/kio-extras/Makefile
  head/devel/libdbusmenu-qt/Makefile
  head/devel/libkgapi-kde4/Makefile
  head/devel/libkolab/Makefile
  head/devel/liblxqt/Makefile
  head/devel/liblxqt-l10n/Makefile
  head/devel/libqtxdg/Makefile
  head/devel/liteide/Makefile
  head/devel/lokalize/Makefile
  head/devel/lokalize-kde4/Makefile
  head/devel/lxqt-build-tools/Makefile
  head/devel/okteta/Makefile
  head/devel/okteta-kde4/Makefile
  head/devel/p5-perlkde-kde4/Makefile
  head/devel/p5-perlqt-kde4/Makefile
  head/devel/piklab/Makefile
  head/devel/plasma5-khotkeys/Makefile
  head/devel/plasma5-kwrited/Makefile
  head/devel/plasma5-plasma-sdk/Makefile
  head/devel/poxml/Makefile
  head/devel/poxml-kde4/Makefile
  head/devel/py-krosspython-kde4/Makefile
  head/devel/py-pykde4-kde4/Makefile
  head/devel/py-pykdeuic4-kde4/Makefile
  head/devel/py-qt4-assistant/Makefile
  head/devel/py-qt4-core/Makefile
  head/devel/py-qt4-dbus/Makefile
  head/devel/py-qt4-dbussupport/Makefile
  head/devel/py-qt4-declarative/Makefile
  head/devel/py-qt4-designer/Makefile
  head/devel/py-qt4-designerplugin/Makefile
  head/devel/py-qt4-help/Makefile
  head/devel/py-qt4-qscintilla2/Makefile
  head/devel/py-qt4-script/Makefile
  head/devel/py-qt4-scripttools/Makefile
  head/devel/py-qt4-test/Makefile
  head/devel/py-qt5-core/Makefile
  head/devel/py-qt5-dbus/Makefile
  head/devel/py-qt5-dbussupport/Makefile
  head/devel/py-qt5-designer/Makefile
  head/devel/py-qt5-designerplugin/Makefile
  head/devel/py-qt5-help/Makefile
  head/devel/py-qt5-qscintilla2/Makefile
  head/devel/py-qt5-test/Makefile
  head/devel/pyside/Makefile
  head/devel/pyside-tools/Makefile
  head/devel/qbs/Makefile
  head/devel/qbzr/Makefile
  head/devel/qca/Makefile
  head/devel/qconf/Makefile
  head/devel/qdevelop/Makefile
  head/devel/qgit/Makefile
  head/devel/qjson/Makefile
  head/devel/qprog/Makefile
  head/devel/qross/Makefile
  head/devel/qscintilla2/Makefile
  head/devel/qscintilla2-designerplugin/Makefile
  head/devel/qscintilla2-designerplugin-qt5/Makefile
  head/devel/qscintilla2-qt5/Makefile
  head/devel/qt-maybe/Makefile
  head/devel/qt4/Makefile
  head/devel/qt4/Makefile.sqldrivers
  head/devel/qt4-assistant/Makefile
  head/devel/qt4-assistant-adp/Makefile
  head/devel/qt4-corelib/Makefile
  head/devel/qt4-dbus/Makefile
  head/devel/qt4-designer/Makefile
  head/devel/qt4-help/Makefile
  head/devel/qt4-help-tools/Makefile
  head/devel/qt4-libqtassistantclient/Makefile
  head/devel/qt4-linguist/Makefile
  head/devel/qt4-linguisttools/Makefile
  head/devel/qt4-makeqpf/Makefile
  head/devel/qt4-moc/Makefile
  head/devel/qt4-porting/Makefile
  head/devel/qt4-qdbusviewer/Makefile
  head/devel/qt4-qdoc3/Makefile
  head/devel/qt4-qmake/Makefile
  head/devel/qt4-qmlviewer/Makefile
  head/devel/qt4-qt3support/Makefile
  head/devel/qt4-qtsolutions-singleapplication/Makefile
  head/devel/qt4-qtsolutions-soap/Makefile
  head/devel/qt4-qvfb/Makefile
  head/devel/qt4-rcc/Makefile
  head/devel/qt4-script/Makefile
  head/devel/qt4-scripttools/Makefile
  head/devel/qt4-testlib/Makefile
  head/devel/qt4-uic/Makefile
  head/devel/qt4-uic3/Makefile
  head/devel/qt5/Makefile
  head/devel/qt5/Makefile.sqldrivers
  head/devel/qt5-assistant/Makefile
  head/devel/qt5-buildtools/Makefile
  head/devel/qt5-concurrent/Makefile
  head/devel/qt5-core/Makefile
  head/devel/qt5-dbus/Makefile
  head/devel/qt5-designer/Makefile
  head/devel/qt5-help/Makefile
  head/devel/qt5-linguist/Makefile
  head/devel/qt5-linguisttools/Makefile
  head/devel/qt5-location/Makefile
  head/devel/qt5-qdbus/Makefile
  head/devel/qt5-qdbusviewer/Makefile
  head/devel/qt5-qdoc/Makefile
  head/devel/qt5-qdoc-data/Makefile
  head/devel/qt5-qmake/Makefile
  head/devel/qt5-script/Makefile
  head/devel/qt5-scripttools/Makefile
  head/devel/qt5-scxml/Makefile
  head/devel/qt5-testlib/Makefile
  head/devel/qt5-uitools/Makefile
  head/devel/qtcreator/Makefile
  head/devel/qtscriptgenerator/Makefile
  head/devel/ruby-korundum-kde4/Makefile
  head/devel/ruby-krossruby-kde4/Makefile
  head/devel/ruby-qtruby-kde4/Makefile
  head/devel/shiboken/Makefile
  head/devel/smokegen-kde4/Makefile
  head/devel/smokekde-kde4/Makefile
  head/devel/smokeqt-kde4/Makefile
  head/devel/subcommander2/Makefile
  head/devel/svn2git/Makefile
  head/devel/thrift-cpp/Makefile
  head/devel/umbrello/Makefile
  head/devel/umbrello-kde4/Makefile
  head/devel/universalindentgui/Makefile
  head/devel/zeal/Makefile
  head/dns/kf5-kdnssd/Makefile
  head/editors/calligra/Makefile
  head/editors/calligraplan/Makefile
  head/editors/encryptpad/Makefile
  head/editors/focuswriter/Makefile
  head/editors/kate/Makefile
  head/editors/kate-kde4/Makefile
  head/editors/kate-plugin-pate-kde4/Makefile
  head/editors/kile/Makefile
  head/editors/kile-kde4/Makefile
  head/editors/klat4/Makefile
  head/editors/lfhex/Makefile
  head/editors/libreoffice/Makefile
  head/editors/mp/Makefile
  head/editors/neovim-qt/Makefile
  head/editors/plume-creator-devel/Makefile
  head/editors/tea/Makefile
  head/editors/texmacs/Makefile
  head/editors/texmaker/Makefile
  head/editors/texstudio/Makefile
  head/editors/textroom/Makefile
  head/editors/texworks/Makefile
  head/editors/yzis/Makefile
  head/emulators/aqemu/Makefile
  head/emulators/citra/Makefile
  head/emulators/dboxfe/Makefile
  head/emulators/higan/Makefile
  head/emulators/mame/Makefile
  head/emulators/mgba/Makefile
  head/emulators/mupen64plus-qt/Makefile
  head/emulators/ppsspp/Makefile
  head/emulators/q4wine/Makefile
  head/emulators/qmc2/Makefile
  head/emulators/qtemu/Makefile
  head/emulators/rpcs3/Makefile
  head/emulators/swine/Makefile
  head/emulators/virtualbox-ose/Makefile
  head/emulators/yabause/Makefile
  head/finance/alkimia/Makefile
  head/finance/kmymoney/Makefile
  head/finance/kmymoney-kde4/Makefile
  head/finance/qhacc/Makefile
  head/finance/skrooge/Makefile
  head/french/aster/Makefile
  head/ftp/plasma-applet-ftpmonitor/Makefile
  head/ftp/scythia/Makefile
  head/games/2048-qt/Makefile
  head/games/allacrost/Makefile
  head/games/anki/Makefile
  head/games/arx-libertatis/Makefile
  head/games/auralquiz/Makefile
  head/games/blinken/Makefile
  head/games/blinken-kde4/Makefile
  head/games/bomber/Makefile
  head/games/bomber-kde4/Makefile
  head/games/bovo/Makefile
  head/games/bovo-kde4/Makefile
  head/games/bubble-chains/Makefile
  head/games/capicity/Makefile
  head/games/capitalism/Makefile
  head/games/chessx/Makefile
  head/games/cockatrice/Makefile
  head/games/colorcode/Makefile
  head/games/connectagram/Makefile
  head/games/cutemaze/Makefile
  head/games/doomsday/Makefile
  head/games/dustrac/Makefile
  head/games/flightgear/Makefile
  head/games/flukz/Makefile
  head/games/gcompris-qt/Makefile
  head/games/goldencheetah/Makefile
  head/games/gottet/Makefile
  head/games/granatier/Makefile
  head/games/granatier-kde4/Makefile
  head/games/hedgewars/Makefile
  head/games/hexalate/Makefile
  head/games/jag/Makefile
  head/games/kajongg/Makefile
  head/games/kajongg-kde4/Makefile
  head/games/kanagram/Makefile
  head/games/kanagram-kde4/Makefile
  head/games/kapman/Makefile
  head/games/kapman-kde4/Makefile
  head/games/kardsgt/Makefile
  head/games/katomic/Makefile
  head/games/katomic-kde4/Makefile
  head/games/kblackbox/Makefile
  head/games/kblackbox-kde4/Makefile
  head/games/kblocks/Makefile
  head/games/kblocks-kde4/Makefile
  head/games/kbounce/Makefile
  head/games/kbounce-kde4/Makefile
  head/games/kbreakout/Makefile
  head/games/kbreakout-kde4/Makefile
  head/games/kcheckers/Makefile
  head/games/kdiamond/Makefile
  head/games/kdiamond-kde4/Makefile
  head/games/kfourinline/Makefile
  head/games/kfourinline-kde4/Makefile
  head/games/kgoldrunner/Makefile
  head/games/kgoldrunner-kde4/Makefile
  head/games/khangman/Makefile
  head/games/khangman-kde4/Makefile
  head/games/kigo/Makefile
  head/games/kigo-kde4/Makefile
  head/games/killbots/Makefile
  head/games/killbots-kde4/Makefile
  head/games/kiriki/Makefile
  head/games/kiriki-kde4/Makefile
  head/games/kjumpingcube/Makefile
  head/games/kjumpingcube-kde4/Makefile
  head/games/klickety/Makefile
  head/games/klickety-kde4/Makefile
  head/games/klines/Makefile
  head/games/klines-kde4/Makefile
  head/games/kmahjongg/Makefile
  head/games/kmahjongg-kde4/Makefile
  head/games/kmines/Makefile
  head/games/kmines-kde4/Makefile
  head/games/knavalbattle/Makefile
  head/games/knavalbattle-kde4/Makefile
  head/games/knetwalk/Makefile
  head/games/knetwalk-kde4/Makefile
  head/games/knights-kde4/Makefile
  head/games/kolf/Makefile
  head/games/kolf-kde4/Makefile
  head/games/kollision/Makefile
  head/games/kollision-kde4/Makefile
  head/games/konquest/Makefile
  head/games/konquest-kde4/Makefile
  head/games/kpat/Makefile
  head/games/kpat-kde4/Makefile
  head/games/kreversi/Makefile
  head/games/kreversi-kde4/Makefile
  head/games/kshisen/Makefile
  head/games/kshisen-kde4/Makefile
  head/games/ksirk/Makefile
  head/games/ksirk-kde4/Makefile
  head/games/ksnakeduel/Makefile
  head/games/ksnakeduel-kde4/Makefile
  head/games/kspaceduel/Makefile
  head/games/kspaceduel-kde4/Makefile
  head/games/ksquares/Makefile
  head/games/ksquares-kde4/Makefile
  head/games/ksudoku/Makefile
  head/games/ksudoku-kde4/Makefile
  head/games/ktuberling/Makefile
  head/games/ktuberling-kde4/Makefile
  head/games/kubrick/Makefile
  head/games/kubrick-kde4/Makefile
  head/games/libkdegames/Makefile
  head/games/libkdegames-kde4/Makefile
  head/games/libkmahjongg/Makefile
  head/games/libkmahjongg-kde4/Makefile
  head/games/lskat/Makefile
  head/games/lskat-kde4/Makefile
  head/games/multimc/Makefile
  head/games/openmw/Makefile
  head/games/openpref/Makefile
  head/games/pairs-kde4/Makefile
  head/games/palapeli/Makefile
  head/games/palapeli-kde4/Makefile
  head/games/peg-e/Makefile
  head/games/pentobi/Makefile
  head/games/picmi/Makefile
  head/games/picmi-kde4/Makefile
  head/games/pokerth/Makefile
  head/games/qgo/Makefile
  head/games/qnetwalk/Makefile
  head/games/qtads/Makefile
  head/games/quackle/Makefile
  head/games/simsu/Makefile
  head/games/solarus/Makefile
  head/games/solarus-quest-editor/Makefile
  head/games/spellathon/Makefile
  head/games/sudoku-sensei/Makefile
  head/games/tanglet/Makefile
  head/games/tbe/Makefile
  head/games/tetzle/Makefile
  head/games/valyriatear/Makefile
  head/games/warzone2100/Makefile
  head/games/xptools/Makefile
  head/german/tipp10/Makefile
  head/graphics/appleseed/Makefile
  head/graphics/aqsis/Makefile
  head/graphics/autoq3d/Makefile
  head/graphics/burplex/Makefile
  head/graphics/cloudcompare/Makefile
  head/graphics/colmap/Makefile
  head/graphics/converseen/Makefile
  head/graphics/darknock/Makefile
  head/graphics/diffpdf/Makefile
  head/graphics/digikam/Makefile
  head/graphics/digikam-kde4/Makefile
  head/graphics/digikam-kde4/Makefile.common
  head/graphics/dilay/Makefile
  head/graphics/djview4/Makefile
  head/graphics/drawpile/Makefile
  head/graphics/dspdfviewer/Makefile
  head/graphics/easypaint/Makefile
  head/graphics/engauge-digitizer/Makefile
  head/graphics/eos-movrec/Makefile
  head/graphics/evolvotron/Makefile
  head/graphics/fracplanet/Makefile
  head/graphics/fraqtive/Makefile
  head/graphics/gle-graphics/Makefile
  head/graphics/gmic-qt/Makefile
  head/graphics/gnash/Makefile
  head/graphics/gpxsee/Makefile
  head/graphics/graphviz/Makefile
  head/graphics/gwenview/Makefile
  head/graphics/gwenview-kde4/Makefile
  head/graphics/ipe/Makefile
  head/graphics/kamera/Makefile
  head/graphics/kamera-kde4/Makefile
  head/graphics/kcolorchooser/Makefile
  head/graphics/kcolorchooser-kde4/Makefile
  head/graphics/kcoloredit/Makefile
  head/graphics/kdegraphics/Makefile
  head/graphics/kdegraphics-mobipocket/Makefile
  head/graphics/kdegraphics-mobipocket-kde4/Makefile
  head/graphics/kdegraphics-strigi-analyzer-kde4/Makefile
  head/graphics/kdegraphics-svgpart/Makefile
  head/graphics/kdegraphics-svgpart-kde4/Makefile
  head/graphics/kdegraphics-thumbnailers/Makefile
  head/graphics/kdegraphics-thumbnailers-kde4/Makefile
  head/graphics/kdiagram/Makefile
  head/graphics/kf5-kimageformats/Makefile
  head/graphics/kf5-kplotting/Makefile
  head/graphics/kf5-prison/Makefile
  head/graphics/kgraphviewer/Makefile
  head/graphics/kiconedit/Makefile
  head/graphics/kimagemapeditor/Makefile
  head/graphics/kipiplugins/Makefile
  head/graphics/klatexformula/Makefile
  head/graphics/kolourpaint/Makefile
  head/graphics/kolourpaint-kde4/Makefile
  head/graphics/kphotoalbum/Makefile
  head/graphics/kphotoalbum-kde4/Makefile
  head/graphics/kpovmodeler/Makefile
  head/graphics/kqtquickcharts-kde4/Makefile
  head/graphics/krita/Makefile
  head/graphics/ksaneplugin-kde4/Makefile
  head/graphics/ksnapshot-kde4/Makefile
  head/graphics/libQGLViewer/Makefile
  head/graphics/libkdcraw/Makefile
  head/graphics/libkdcraw-kde4/Makefile
  head/graphics/libkexiv2/Makefile
  head/graphics/libkexiv2-kde4/Makefile
  head/graphics/libkipi/Makefile
  head/graphics/libkipi-kde4/Makefile
  head/graphics/libksane/Makefile
  head/graphics/libksane-kde4/Makefile
  head/graphics/libkscreen/Makefile
  head/graphics/lprof-devel/Makefile
  head/graphics/luminance/Makefile
  head/graphics/luminance-qt5/Makefile
  head/graphics/luxrender/Makefile
  head/graphics/lximage-qt/Makefile
  head/graphics/lximageqt-l10n/Makefile
  head/graphics/meshviewer/Makefile
  head/graphics/mitsuba/Makefile
  head/graphics/natron/Makefile
  head/graphics/nomacs/Makefile
  head/graphics/nvidia-texture-tools/Makefile
  head/graphics/okular/Makefile
  head/graphics/okular-kde4/Makefile
  head/graphics/opencsg/Makefile
  head/graphics/opencv/Makefile
  head/graphics/openimageio/Makefile
  head/graphics/openorienteering-mapper/Makefile
  head/graphics/osg/Makefile
  head/graphics/osg-devel/Makefile
  head/graphics/oyranos/Makefile
  head/graphics/pencil/Makefile
  head/graphics/pfstools/Makefile
  head/graphics/photivo/Makefile
  head/graphics/photoqt/Makefile
  head/graphics/phototonic/Makefile
  head/graphics/poppler/Makefile
  head/graphics/prison/Makefile
  head/graphics/py-qt4-svg/Makefile
  head/graphics/py-qt5-svg/Makefile
  head/graphics/qcomicbook/Makefile
  head/graphics/qgis/Makefile
  head/graphics/qt4-iconengines/Makefile
  head/graphics/qt4-imageformats/Makefile
  head/graphics/qt4-opengl/Makefile
  head/graphics/qt4-pixeltool/Makefile
  head/graphics/qt4-svg/Makefile
  head/graphics/qt5-3d/Makefile
  head/graphics/qt5-graphicaleffects/Makefile
  head/graphics/qt5-imageformats/Makefile
  head/graphics/qt5-opengl/Makefile
  head/graphics/qt5-pixeltool/Makefile
  head/graphics/qt5-svg/Makefile
  head/graphics/qt5-wayland/Makefile
  head/graphics/qtawesome/Makefile
  head/graphics/qxv/Makefile
  head/graphics/scantailor/Makefile
  head/graphics/seexpr/Makefile
  head/graphics/showimage/Makefile
  head/graphics/skanlite/Makefile
  head/graphics/skanlite-kde4/Makefile
  head/graphics/smillaenlarger/Makefile
  head/graphics/spectacle/Makefile
  head/graphics/structuresynth/Makefile
  head/graphics/tiled/Makefile
  head/graphics/tulip/Makefile
  head/graphics/xpdf4/Makefile
  head/graphics/yagf/Makefile
  head/graphics/zbar/Makefile
  head/graphics/zint/Makefile
  head/irc/dxirc/Makefile
  head/irc/konversation/Makefile
  head/irc/kvirc/Makefile
  head/irc/quassel/Makefile
  head/japanese/fcitx-skk/Makefile
  head/japanese/kiten/Makefile
  head/japanese/kiten-kde4/Makefile
  head/japanese/mozc-server/Makefile
  head/japanese/qt4-codecs-jp/Makefile
  head/java/classpath/Makefile
  head/korean/qt4-codecs-kr/Makefile
  head/lang/basic256/Makefile
  head/lang/kf5-kross/Makefile
  head/lang/kross-interpreters/Makefile
  head/lang/kturtle/Makefile
  head/lang/kturtle-kde4/Makefile
  head/lang/py-qt5-qml/Makefile
  head/lang/qt5-qml/Makefile
  head/mail/emailrelay/Makefile
  head/mail/kbiff/Makefile
  head/mail/kshowmail/Makefile
  head/mail/qgmailnotifier/Makefile
  head/mail/trojita/Makefile
  head/math/abakus/Makefile
  head/math/acalc/Makefile
  head/math/analitza/Makefile
  head/math/analitza-kde4/Makefile
  head/math/cantor/Makefile
  head/math/cantor-kde4/Makefile
  head/math/cgal/Makefile
  head/math/freemat/Makefile
  head/math/g2o/Makefile
  head/math/kalgebra/Makefile
  head/math/kalgebra-kde4/Makefile
  head/math/kbruch/Makefile
  head/math/kbruch-kde4/Makefile
  head/math/kcalc/Makefile
  head/math/kcalc-kde4/Makefile
  head/math/kig/Makefile
  head/math/kig-kde4/Makefile
  head/math/kmplot/Makefile
  head/math/kmplot-kde4/Makefile
  head/math/labplot/Makefile
  head/math/mathgl/Makefile
  head/math/mathmod/Makefile
  head/math/octave/Makefile
  head/math/plplot/Makefile
  head/math/qtiplot/Makefile
  head/math/qtoctave/Makefile
  head/math/qwtplot3d-qt4/Makefile
  head/math/rkward-kde/Makefile
  head/math/rocs/Makefile
  head/math/rocs-kde4/Makefile
  head/math/speedcrunch/Makefile
  head/math/vtk5/Makefile
  head/math/vtk6/Makefile
  head/misc/artikulate/Makefile
  head/misc/artikulate-kde4/Makefile
  head/misc/bibletime/Makefile
  head/misc/crosti/Makefile
  head/misc/kde-thumbnailer-chm/Makefile
  head/misc/kde-thumbnailer-epub/Makefile
  head/misc/kde-thumbnailer-fb2/Makefile
  head/misc/kde4-l10n/files/bsd.l10n.mk
  head/misc/kdeedu-data/Makefile
  head/misc/kf5-purpose/Makefile
  head/misc/kgeography/Makefile
  head/misc/kgeography-kde4/Makefile
  head/misc/klettres/Makefile
  head/misc/klettres-kde4/Makefile
  head/misc/krecipes-kde4/Makefile
  head/misc/ktouch/Makefile
  head/misc/ktouch-kde4/Makefile
  head/misc/kwordquiz/Makefile
  head/misc/kwordquiz-kde4/Makefile
  head/misc/libkdeedu-kde4/Makefile
  head/misc/libkeduvocdocument/Makefile
  head/misc/lxi-tools/Makefile
  head/misc/openmvg/Makefile
  head/misc/parley/Makefile
  head/misc/parley-kde4/Makefile
  head/misc/qbrew/Makefile
  head/misc/qmetro/Makefile
  head/misc/qt4-doc/Makefile
  head/misc/qt4-l10n/Makefile
  head/misc/qt4-qtconfig/Makefile
  head/misc/qt4-qtdemo/Makefile
  head/misc/qt5-doc/Makefile
  head/misc/qt5-examples/Makefile
  head/misc/qt5-l10n/Makefile
  head/misc/qt5ct/Makefile
  head/misc/saaghar/Makefile
  head/misc/tellico-kde4/Makefile
  head/multimedia/2mandvd/Makefile
  head/multimedia/QtAV/Makefile
  head/multimedia/abby/Makefile
  head/multimedia/avidemux/Makefile.common
  head/multimedia/baka-mplayer/Makefile
  head/multimedia/bino/Makefile
  head/multimedia/clipgrab/Makefile
  head/multimedia/dragon/Makefile
  head/multimedia/dragon-kde4/Makefile
  head/multimedia/dvbcut/Makefile
  head/multimedia/gstreamer-qt4/Makefile
  head/multimedia/gstreamer1-qt/Makefile
  head/multimedia/k9copy-kde4/Makefile
  head/multimedia/kaffeine/Makefile
  head/multimedia/kamoso/Makefile
  head/multimedia/kdemultimedia/Makefile
  head/multimedia/kdemultimedia-ffmpegthumbs/Makefile
  head/multimedia/kdemultimedia-ffmpegthumbs-kde4/Makefile
  head/multimedia/kdemultimedia-mplayerthumbs-kde4/Makefile
  head/multimedia/kdenlive/Makefile
  head/multimedia/kdenlive-kde4/Makefile
  head/multimedia/kf5-kmediaplayer/Makefile
  head/multimedia/kmplayer-kde4/Makefile
  head/multimedia/kplayer-kde4/Makefile
  head/multimedia/mediadownloader/Makefile
  head/multimedia/minitube/Makefile
  head/multimedia/mkvtoolnix/Makefile
  head/multimedia/mlt-qt4/Makefile
  head/multimedia/mlt-qt5/Makefile
  head/multimedia/mpc-qt/Makefile
  head/multimedia/mythtv/Makefile
  head/multimedia/obs-studio/Makefile
  head/multimedia/phonon/Makefile
  head/multimedia/phonon-designerplugin/Makefile
  head/multimedia/phonon-gstreamer/Makefile
  head/multimedia/phonon-vlc/Makefile
  head/multimedia/phonon-xine/Makefile
  head/multimedia/py-openlp/Makefile
  head/multimedia/py-qt4-multimedia/Makefile
  head/multimedia/py-qt4-phonon/Makefile
  head/multimedia/py-qt5-multimedia/Makefile
  head/multimedia/py-qt5-multimediawidgets/Makefile
  head/multimedia/qmmp/Makefile
  head/multimedia/qmmp-plugin-pack/Makefile
  head/multimedia/qmmp-plugin-pack-qt5/Makefile
  head/multimedia/qmmp-qt5/Makefile
  head/multimedia/qt4-mobility/Makefile
  head/multimedia/qt4-multimedia/Makefile
  head/multimedia/qt5-multimedia/Makefile
  head/multimedia/shotcut/Makefile
  head/multimedia/simplescreenrecorder/Makefile
  head/multimedia/smplayer/Makefile
  head/multimedia/smplayer-skins/Makefile
  head/multimedia/smplayer-themes/Makefile
  head/multimedia/smtube/Makefile
  head/multimedia/subtitlecomposer-kde4/Makefile
  head/multimedia/umplayer/Makefile
  head/multimedia/vlc/Makefile
  head/multimedia/webcamoid/Makefile
  head/multimedia/webvfx-qt5/Makefile
  head/net/akonadi-calendar/Makefile
  head/net/akonadi-contacts/Makefile
  head/net/akonadi-mime/Makefile
  head/net/akonadi-notes/Makefile
  head/net/akonadi-search/Makefile
  head/net/avahi-qt4/Makefile
  head/net/cagibi/Makefile
  head/net/calendarsupport/Makefile
  head/net/eventviews/Makefile
  head/net/hupnp/Makefile
  head/net/incidenceeditor/Makefile
  head/net/kalarmcal/Makefile
  head/net/kblog/Makefile
  head/net/kcalcore/Makefile
  head/net/kcalutils/Makefile
  head/net/kcontacts/Makefile
  head/net/kdav/Makefile
  head/net/kdenetwork/Makefile
  head/net/kdenetwork-filesharing/Makefile
  head/net/kdenetwork-filesharing-kde4/Makefile
  head/net/kdenetwork-strigi-analyzers-kde4/Makefile
  head/net/kf5-kholidays/Makefile
  head/net/kf5-kxmlrpcclient/Makefile
  head/net/kget/Makefile
  head/net/kget-kde4/Makefile
  head/net/kidentitymanagement/Makefile
  head/net/kimap/Makefile
  head/net/kio-gdrive/Makefile
  head/net/kio-upnp-ms/Makefile
  head/net/kldap/Makefile
  head/net/kmailtransport/Makefile
  head/net/kmbox/Makefile
  head/net/kmime/Makefile
  head/net/knemo-kde4/Makefile
  head/net/kontactinterface/Makefile
  head/net/kpimtextedit/Makefile
  head/net/krdc/Makefile
  head/net/krdc-kde4/Makefile
  head/net/krfb/Makefile
  head/net/krfb-kde4/Makefile
  head/net/ksmtp/Makefile
  head/net/ktnef/Makefile
  head/net/kwooty/Makefile
  head/net/libgravatar/Makefile
  head/net/libkfbapi/Makefile
  head/net/libkgapi/Makefile
  head/net/libksieve/Makefile
  head/net/libkvkontakte/Makefile
  head/net/libkvkontakte-kde4/Makefile
  head/net/libmaia/Makefile
  head/net/libmediawiki/Makefile
  head/net/mailcommon/Makefile
  head/net/mailimporter/Makefile
  head/net/messagelib/Makefile
  head/net/ostinato/Makefile
  head/net/pimcommon/Makefile
  head/net/py-qt4-network/Makefile
  head/net/py-qt5-network/Makefile
  head/net/qjsonrpc/Makefile
  head/net/qoauth/Makefile
  head/net/qoauth-qt5/Makefile
  head/net/qt4-network/Makefile
  head/net/qt5-network/Makefile
  head/net/qtweetlib/Makefile
  head/net/quiterss/Makefile
  head/net/rsplib/Makefile
  head/net/smb4k-kde4/Makefile
  head/net/spoofer/Makefile
  head/net/syndication/Makefile
  head/net/wireshark/Makefile
  head/net/wpa_gui/Makefile
  head/net/x2goclient/Makefile
  head/net/zeroconf-ioslave/Makefile
  head/net/zeroconf-ioslave-kde4/Makefile
  head/net-im/cutegram/Makefile
  head/net-im/diligent/Makefile
  head/net-im/ekiga/Makefile
  head/net-im/gitterdone/Makefile
  head/net-im/hotot/Makefile
  head/net-im/kaccounts-integration/Makefile
  head/net-im/kaccounts-providers/Makefile
  head/net-im/kmess-kde4/Makefile
  head/net-im/kopete/Makefile
  head/net-im/kopete-kde4/Makefile
  head/net-im/ktp-accounts-kcm/Makefile
  head/net-im/ktp-accounts-kcm-kde4/Makefile
  head/net-im/ktp-approver/Makefile
  head/net-im/ktp-approver-kde4/Makefile
  head/net-im/ktp-auth-handler/Makefile
  head/net-im/ktp-auth-handler-kde4/Makefile
  head/net-im/ktp-call-ui/Makefile
  head/net-im/ktp-common-internals/Makefile
  head/net-im/ktp-common-internals-kde4/Makefile
  head/net-im/ktp-contact-list/Makefile
  head/net-im/ktp-contact-list-kde4/Makefile
  head/net-im/ktp-contact-runner/Makefile
  head/net-im/ktp-contact-runner-kde4/Makefile
  head/net-im/ktp-desktop-applets/Makefile
  head/net-im/ktp-desktop-applets-kde4/Makefile
  head/net-im/ktp-filetransfer-handler/Makefile
  head/net-im/ktp-filetransfer-handler-kde4/Makefile
  head/net-im/ktp-kded-integration-module-kde4/Makefile
  head/net-im/ktp-kded-module/Makefile
  head/net-im/ktp-send-file/Makefile
  head/net-im/ktp-send-file-kde4/Makefile
  head/net-im/ktp-text-ui/Makefile
  head/net-im/ktp-text-ui-kde4/Makefile
  head/net-im/libaccounts-qt5/Makefile
  head/net-im/libjreen/Makefile
  head/net-im/libqtelegram-ae/Makefile
  head/net-im/licq-qt-gui/Makefile
  head/net-im/plasma-applet-ktp-kde4/Makefile
  head/net-im/psi/Makefile
  head/net-im/psimedia/Makefile
  head/net-im/qTox/Makefile
  head/net-im/qxmpp/Makefile
  head/net-im/ramblercontacts/Makefile
  head/net-im/ricochet/Makefile
  head/net-im/teamwords/Makefile
  head/net-im/telegram-desktop/Makefile
  head/net-im/telegramqml/Makefile
  head/net-im/telepathy-accounts-signon/Makefile
  head/net-im/telepathy-logger-qt4/Makefile
  head/net-im/telepathy-logger-qt5/Makefile
  head/net-im/telepathy-qt4/Makefile
  head/net-im/vacuum-im/Makefile
  head/net-mgmt/nagiosagent/Makefile
  head/net-mgmt/qkismet/Makefile
  head/net-mgmt/seafile-gui/Makefile
  head/net-mgmt/vidalia/Makefile
  head/net-p2p/amule/Makefile
  head/net-p2p/amule-devel/Makefile
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/dogecoin/Makefile
  head/net-p2p/eiskaltdcpp-qt/Makefile
  head/net-p2p/ktorrent/Makefile
  head/net-p2p/ktorrent-kde4/Makefile
  head/net-p2p/libktorrent/Makefile
  head/net-p2p/libktorrent-kde4/Makefile
  head/net-p2p/litecoin/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/qbittorrent/Makefile
  head/net-p2p/qtum/Makefile
  head/net-p2p/retroshare/Makefile
  head/net-p2p/torrent-file-editor/Makefile
  head/net-p2p/transmission-qt4/Makefile
  head/net-p2p/transmission-qt5/Makefile
  head/net-p2p/valknut/Makefile
  head/net-p2p/zetacoin/Makefile
  head/polish/kadu/Makefile
  head/polish/qfaktury/Makefile
  head/polish/qnapi/Makefile
  head/ports-mgmt/octopkg/Makefile
  head/ports-mgmt/packagekit/Makefile
  head/ports-mgmt/portrac/Makefile
  head/print/kover/Makefile
  head/print/kpdftool/Makefile
  head/print/lyx/Makefile
  head/print/print-manager/Makefile
  head/print/print-manager-kde4/Makefile
  head/print/py-qt5-printsupport/Makefile
  head/print/qpdfview/Makefile
  head/print/qt5-printsupport/Makefile
  head/print/scribus/Makefile
  head/science/avogadro/Makefile
  head/science/iboview/Makefile
  head/science/kalzium/Makefile
  head/science/kalzium-kde4/Makefile
  head/science/kst2/Makefile
  head/science/libgeodecomp/Makefile
  head/science/massxpert/Makefile
  head/science/paraview/Makefile
  head/science/pulseview/Makefile
  head/science/py-veusz/Makefile
  head/science/qtresistors/Makefile
  head/science/silo/Makefile
  head/science/step/Makefile
  head/science/step-kde4/Makefile
  head/security/fwbuilder/Makefile
  head/security/gpgme/Makefile
  head/security/ike/Makefile
  head/security/keepassx/Makefile
  head/security/keepassx-devel/Makefile
  head/security/keepassx2/Makefile
  head/security/keepassxc/Makefile
  head/security/kf5-kdesu/Makefile
  head/security/kgpg/Makefile
  head/security/kgpg-kde4/Makefile
  head/security/kleopatra/Makefile
  head/security/kqoauth/Makefile
  head/security/kwalletmanager/Makefile
  head/security/kwalletmanager-kde4/Makefile
  head/security/libkleo/Makefile
  head/security/openconnect-gui/Makefile
  head/security/ophcrack/Makefile
  head/security/pinentry/Makefile
  head/security/plasma5-kscreenlocker/Makefile
  head/security/plasma5-ksshaskpass/Makefile
  head/security/plasma5-kwallet-pam/Makefile
  head/security/qtkeychain/Makefile
  head/security/quantis/Makefile
  head/security/tpmmanager/Makefile
  head/security/xca/Makefile
  head/security/yubikey-personalization-gui/Makefile
  head/sysutils/UEFITool/Makefile
  head/sysutils/android-file-transfer/Makefile
  head/sysutils/bacula-bat/Makefile
  head/sysutils/bacula9-bat/Makefile
  head/sysutils/baloo-kde4/Makefile
  head/sysutils/baloo-widgets/Makefile
  head/sysutils/baloo-widgets-kde4/Makefile
  head/sysutils/bareos-traymonitor/Makefile
  head/sysutils/bareos16-bat/Makefile
  head/sysutils/bareos16-traymonitor/Makefile
  head/sysutils/bsdisks/Makefile
  head/sysutils/dsbbatmon/Makefile
  head/sysutils/dsblogoutmgr/Makefile
  head/sysutils/filelight/Makefile
  head/sysutils/filelight-kde4/Makefile
  head/sysutils/glogg/Makefile
  head/sysutils/k3b/Makefile
  head/sysutils/k3b-kde4/Makefile
  head/sysutils/kbackup/Makefile
  head/sysutils/kcm-polkit-kde/Makefile
  head/sysutils/kcron/Makefile
  head/sysutils/kcron-kde4/Makefile
  head/sysutils/kdebugsettings/Makefile
  head/sysutils/kdf/Makefile
  head/sysutils/kdf-kde4/Makefile
  head/sysutils/kdialog/Makefile
  head/sysutils/kdirstat/Makefile
  head/sysutils/kf5-baloo/Makefile
  head/sysutils/kf5-kwallet/Makefile
  head/sysutils/kfilemetadata-kde4/Makefile
  head/sysutils/kfloppy/Makefile
  head/sysutils/kfloppy-kde4/Makefile
  head/sysutils/khelpcenter/Makefile
  head/sysutils/knutclient-kde4/Makefile
  head/sysutils/krename/Makefile
  head/sysutils/kshutdown-kde4/Makefile
  head/sysutils/ksystemlog/Makefile
  head/sysutils/ksystemlog-kde4/Makefile
  head/sysutils/kuser-kde4/Makefile
  head/sysutils/luckybackup/Makefile
  head/sysutils/nepomuk-core-kde4/Makefile
  head/sysutils/nepomuk-widgets-kde4/Makefile
  head/sysutils/pc-networkmanager/Makefile
  head/sysutils/pcbsd-syscache/Makefile
  head/sysutils/pcbsd-utils/Makefile
  head/sysutils/pcbsd-utils-qt5/Makefile
  head/sysutils/plasma5-discover/Makefile
  head/sysutils/plasma5-drkonqi/Makefile
  head/sysutils/plasma5-kde-cli-tools/Makefile
  head/sysutils/plasma5-kinfocenter/Makefile
  head/sysutils/plasma5-kmenuedit/Makefile
  head/sysutils/plasma5-ksysguard/Makefile
  head/sysutils/plasma5-libksysguard/Makefile
  head/sysutils/plasma5-polkit-kde-agent-1/Makefile
  head/sysutils/plasma5-powerdevil/Makefile
  head/sysutils/plasma5-systemsettings/Makefile
  head/sysutils/plasma5-user-manager/Makefile
  head/sysutils/policykit-qt/Makefile
  head/sysutils/polkit-kde/Makefile
  head/sysutils/polkit-qt/Makefile
  head/sysutils/qdirstat/Makefile
  head/sysutils/qpxtool/Makefile
  head/sysutils/qsudo/Makefile
  head/sysutils/qsynergy/Makefile
  head/sysutils/qt5-qtdiag/Makefile
  head/sysutils/qt5-qtpaths/Makefile
  head/sysutils/qt5-qtplugininfo/Makefile
  head/sysutils/qtpass/Makefile
  head/sysutils/qzeitgeist/Makefile
  head/sysutils/searchmonkey/Makefile
  head/sysutils/signon-kwallet-extension/Makefile
  head/sysutils/signon-plugin-oauth2/Makefile
  head/sysutils/signon-qt5/Makefile
  head/sysutils/signon-ui/Makefile
  head/sysutils/sweeper/Makefile
  head/sysutils/sweeper-kde4/Makefile
  head/sysutils/sysadm/Makefile
  head/sysutils/sysadm-client/Makefile
  head/sysutils/tarsnap-gui/Makefile
  head/sysutils/trueos-libqt5/Makefile
  head/sysutils/twmn/Makefile
  head/sysutils/unetbootin/Makefile
  head/textproc/ansifilter/Makefile
  head/textproc/beediff/Makefile
  head/textproc/dikt/Makefile
  head/textproc/dixit/Makefile
  head/textproc/fcitx-qt5/Makefile
  head/textproc/goldendict/Makefile
  head/textproc/ibus-qt/Makefile
  head/textproc/kdiff3/Makefile
  head/textproc/kf5-kcodecs/Makefile
  head/textproc/kf5-sonnet/Makefile
  head/textproc/kf5-syntax-highlighting/Makefile
  head/textproc/kompare/Makefile
  head/textproc/kompare-kde4/Makefile
  head/textproc/kreport/Makefile
  head/textproc/libkomparediff2/Makefile
  head/textproc/libkomparediff2-kde4/Makefile
  head/textproc/py-qt4-xml/Makefile
  head/textproc/py-qt4-xmlpatterns/Makefile
  head/textproc/py-qt5-xml/Makefile
  head/textproc/py-qt5-xmlpatterns/Makefile
  head/textproc/qstardict/Makefile
  head/textproc/qt4-clucene/Makefile
  head/textproc/qt4-xml/Makefile
  head/textproc/qt4-xmlpatterns/Makefile
  head/textproc/qt4-xmlpatterns-tool/Makefile
  head/textproc/qt5-xml/Makefile
  head/textproc/qt5-xmlpatterns/Makefile
  head/textproc/scim-bridge-qt4/Makefile
  head/textproc/sigil/Makefile
  head/textproc/soprano/Makefile
  head/textproc/uim-kde4/Makefile
  head/textproc/uim-qt4/Makefile
  head/textproc/xxdiff/Makefile
  head/www/aria2fe/Makefile
  head/www/bookmarkbridge/Makefile
  head/www/choqok/Makefile
  head/www/choqok-kde4/Makefile
  head/www/cutelyst/Makefile
  head/www/cutycapt/Makefile
  head/www/falkon/Makefile
  head/www/kdewebdev-kde4/Makefile
  head/www/kf5-kdewebkit/Makefile
  head/www/kf5-khtml/Makefile
  head/www/kf5-kjs/Makefile
  head/www/kf5-kjsembed/Makefile
  head/www/kpartsplugin/Makefile
  head/www/kwebkitpart/Makefile
  head/www/otter-browser/Makefile
  head/www/plasma5-plasma-browser-integration/Makefile
  head/www/py-qt4-webkit/Makefile
  head/www/py-qt5-webchannel/Makefile
  head/www/py-qt5-webengine/Makefile
  head/www/py-qt5-webkit/Makefile
  head/www/py-qt5-webkitwidgets/Makefile
  head/www/qt4-webkit/Makefile
  head/www/qt5-webchannel/Makefile
  head/www/qt5-webengine/Makefile
  head/www/qt5-webkit/Makefile
  head/www/qt5-websockets/Makefile
  head/www/qt5-websockets-qml/Makefile
  head/www/qupzilla-qt4/Makefile
  head/www/qupzilla-qt5/Makefile
  head/www/qutebrowser/Makefile
  head/www/rekonq/Makefile
  head/www/wt/Makefile
  head/x11/antimicro/Makefile
  head/x11/cool-retro-term/Makefile
  head/x11/dsbautostart/Makefile
  head/x11/kactivities/Makefile
  head/x11/kactivitymanagerd/Makefile
  head/x11/kde-baseapps-kde4/Makefile
  head/x11/kde-runtime-kde4/Makefile
  head/x11/kde-workspace-kde4/Makefile
  head/x11/kde5/Makefile
  head/x11/kdelibs-kde4/Makefile
  head/x11/kf5-frameworkintegration/Makefile
  head/x11/kf5-frameworks/Makefile
  head/x11/kf5-kactivities/Makefile
  head/x11/kf5-kactivities-stats/Makefile
  head/x11/kf5-kded/Makefile
  head/x11/kf5-kdelibs4support/Makefile
  head/x11/kf5-kglobalaccel/Makefile
  head/x11/kf5-kinit/Makefile
  head/x11/kf5-krunner/Makefile
  head/x11/kf5-kwayland/Makefile
  head/x11/kf5-kwindowsystem/Makefile
  head/x11/kf5-plasma-framework/Makefile
  head/x11/kgamma-kde4/Makefile
  head/x11/konsole/Makefile
  head/x11/konsole-kde4/Makefile
  head/x11/leechcraft/Makefile
  head/x11/libfm-qt/Makefile
  head/x11/libfmqt-l10n/Makefile
  head/x11/libkonq-kde4/Makefile
  head/x11/lumina-core/Makefile
  head/x11/lumina-coreutils/Makefile
  head/x11/lxqt-globalkeys/Makefile
  head/x11/pcdm/Makefile
  head/x11/plasma-scriptengine-python-kde4/Makefile
  head/x11/plasma-scriptengine-ruby-kde4/Makefile
  head/x11/plasma5-kactivitymanagerd/Makefile
  head/x11/plasma5-kgamma5/Makefile
  head/x11/plasma5-kscreen/Makefile
  head/x11/plasma5-kwayland-integration/Makefile
  head/x11/plasma5-libkscreen/Makefile
  head/x11/plasma5-plasma/Makefile
  head/x11/plasma5-plasma-desktop/Makefile
  head/x11/plasma5-plasma-integration/Makefile
  head/x11/plasma5-plasma-workspace/Makefile
  head/x11/py-qt4-opengl/Makefile
  head/x11/py-qt5-opengl/Makefile
  head/x11/qimageblitz/Makefile
  head/x11/qt4-graphicssystems-opengl/Makefile
  head/x11/qt4-inputmethods/Makefile
  head/x11/qt5-qev/Makefile
  head/x11/qt5-x11extras/Makefile
  head/x11/qterminal/Makefile
  head/x11/qterminal-l10n/Makefile
  head/x11/qxkb/Makefile
  head/x11/radare-cutter/Makefile
  head/x11/rsibreak/Makefile
  head/x11/sddm/Makefile
  head/x11/yakuake/Makefile
  head/x11/yakuake-kde4/Makefile
  head/x11-clocks/amor-kde4/Makefile
  head/x11-clocks/kteatime/Makefile
  head/x11-clocks/kteatime-kde4/Makefile
  head/x11-clocks/ktimer/Makefile
  head/x11-clocks/ktimer-kde4/Makefile
  head/x11-clocks/ktux-kde4/Makefile
  head/x11-clocks/plasma-applet-adjustableclock/Makefile
  head/x11-clocks/plasma-applet-geekclock/Makefile
  head/x11-fm/dolphin/Makefile
  head/x11-fm/konqueror/Makefile
  head/x11-fm/krusader2/Makefile
  head/x11-fm/krusader2-kde4/Makefile
  head/x11-fm/pcmanfm-qt/Makefile
  head/x11-fm/pcmanfmqt-l10n/Makefile
  head/x11-fm/qtfm/Makefile
  head/x11-fm/ultracopier/Makefile
  head/x11-fonts/fontmatrix/Makefile
  head/x11-themes/adwaita-qt/Makefile
  head/x11-themes/gtk-qt4-engine/Makefile
  head/x11-themes/kde-base-artwork-kde4/Makefile
  head/x11-themes/kde-gtk-config/Makefile
  head/x11-themes/kde-wallpapers-kde4/Makefile
  head/x11-themes/kde4-style-bespin/Makefile
  head/x11-themes/kde4-style-nitrogen/Makefile
  head/x11-themes/kde4-style-oxygen-transparent/Makefile
  head/x11-themes/kde4-style-polyester/Makefile
  head/x11-themes/kde4-style-skulpture/Makefile
  head/x11-themes/kde4-windeco-crystal/Makefile
  head/x11-themes/kde4-windeco-dekorator/Makefile
  head/x11-themes/kdeartwork-kde4/Makefile
  head/x11-themes/kf5-breeze-icons/Makefile
  head/x11-themes/kf5-kemoticons/Makefile
  head/x11-themes/kf5-kiconthemes/Makefile
  head/x11-themes/kf5-oxygen-icons5/Makefile
  head/x11-themes/kf5-qqc2-desktop-style/Makefile
  head/x11-themes/lumina-themes/Makefile
  head/x11-themes/plasma5-breeze/Makefile
  head/x11-themes/plasma5-breeze-gtk/Makefile
  head/x11-themes/plasma5-breeze-kde4/Makefile
  head/x11-themes/plasma5-kde-gtk-config/Makefile
  head/x11-themes/plasma5-oxygen/Makefile
  head/x11-themes/plasma5-plasma-workspace-wallpapers/Makefile
  head/x11-themes/qt4-style-Kvantum/Makefile
  head/x11-themes/qt4-style-float/Makefile
  head/x11-themes/qt4-style-phase/Makefile
  head/x11-themes/qt4-style-quantumstyle/Makefile
  head/x11-themes/qt5-style-Kvantum/Makefile
  head/x11-themes/qt5-style-plugins/Makefile
  head/x11-themes/qt5-style-plugins/pkg-plist
  head/x11-themes/qtcurve/Makefile
  head/x11-toolkits/attica/Makefile
  head/x11-toolkits/kf5-attica/Makefile
  head/x11-toolkits/kf5-kcompletion/Makefile
  head/x11-toolkits/kf5-kconfigwidgets/Makefile
  head/x11-toolkits/kf5-kdesignerplugin/Makefile
  head/x11-toolkits/kf5-kguiaddons/Makefile
  head/x11-toolkits/kf5-kirigami2/Makefile
  head/x11-toolkits/kf5-kitemviews/Makefile
  head/x11-toolkits/kf5-kjobwidgets/Makefile
  head/x11-toolkits/kf5-ktextwidgets/Makefile
  head/x11-toolkits/kf5-kwidgetsaddons/Makefile
  head/x11-toolkits/kf5-kxmlgui/Makefile
  head/x11-toolkits/kproperty/Makefile
  head/x11-toolkits/nucleo/Makefile
  head/x11-toolkits/plasma5-kdeplasma-addons/Makefile
  head/x11-toolkits/py-qt4-gui/Makefile
  head/x11-toolkits/py-qt5-gui/Makefile
  head/x11-toolkits/py-qt5-quick/Makefile
  head/x11-toolkits/py-qt5-widgets/Makefile
  head/x11-toolkits/qml-box2d/Makefile
  head/x11-toolkits/qt4-declarative/Makefile
  head/x11-toolkits/qt4-gui/Makefile
  head/x11-toolkits/qt4pas/Makefile
  head/x11-toolkits/qt5-canvas3d/Makefile
  head/x11-toolkits/qt5-charts/Makefile
  head/x11-toolkits/qt5-datavis3d/Makefile
  head/x11-toolkits/qt5-gamepad/Makefile
  head/x11-toolkits/qt5-gtkplatform/Makefile
  head/x11-toolkits/qt5-gtkplatform/pkg-plist
  head/x11-toolkits/qt5-gui/Makefile
  head/x11-toolkits/qt5-quick/Makefile
  head/x11-toolkits/qt5-quickcontrols/Makefile
  head/x11-toolkits/qt5-quickcontrols2/Makefile
  head/x11-toolkits/qt5-uiplugin/Makefile
  head/x11-toolkits/qt5-virtualkeyboard/Makefile
  head/x11-toolkits/qt5-widgets/Makefile
  head/x11-toolkits/qt5pas/Makefile
  head/x11-toolkits/qtermwidget/Makefile
  head/x11-toolkits/qtermwidget-l10n/Makefile
  head/x11-toolkits/qwt5/Makefile
  head/x11-toolkits/qwt5-designerplugin/Makefile
  head/x11-toolkits/qwt6/Makefile
  head/x11-toolkits/soqt/Makefile
  head/x11-wm/plasma5-kdecoration/Makefile
  head/x11-wm/plasma5-kwin/Makefile
  head/x11-wm/qlwm/Makefile
Comment 20 Tobias C. Berner freebsd_committer 2018-10-11 06:04:20 UTC
I think it's save to close now...